:root {
  --larghezza-modale-posizione-rifiutata: clamp(280px, 80vw, 500px);
}

#positionBannerContainer {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 11;
  display: none;
  vertical-align: middle;
  justify-content: center;
}

#positionModalLong {
  max-width: var(--larghezza-modale-posizione-rifiutata);
  max-height: fit-content;
  margin: auto;
  /*
    top: 0;
    margin: 50% calc((100vw - var(--larghezza-modale-posizione-rifiutata)) / 2);
    position: absolute;
    margin-left: calc((100vw - var(--larghezza-modale-posizione-rifiutata)) / 2);
    margin-right: calc((100vw - var(--larghezza-modale-posizione-rifiutata)) / 2);
    */

  background: white;
  padding: 16px;
  border-radius: 10px;
  box-shadow: 0 3px 12px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.08);
  display: flex;
  flex-direction: column;
  gap: 10px;
}

#positionModalLong p {
  margin: 0 !important;
}

#positionModalLong #positionModalLongTitle {
  display: flex;
  align-items: center;
  gap: 8px;
  justify-content: center;
}

#positionModalLong #positionModalLongTitle * {
  margin: 0;
}

#positionModalLong * {
  font-size: 14px !important;
}

#positionModalLong #positionModalLongTitle h2 {
  text-transform: none !important;
  font-size: 16px !important;
}

#positionModalLong #positionModalLongTitle img {
  margin-left: calc(-2%) !important;
}

#positionModalLong p {
  float: left !important;
  color: black;
}

#positionModalLong strong,
#positionModalLong h2 {
  background: white;
  color: black;
}

#positionModalLong #postion-state-agree {
  border: solid lightgrey 1px;
  max-width: 250px;
  min-width: 200px;
  margin: 0 auto;
  height: 45px;
  border-radius: 50px;
  color: white;
  /*
    background-color: #18578C;
    padding: 8px;*/
  background-color: #6A6A6A;
  padding: 10px 20px;
}

#positionBannerContainer.show {
  display: flex;
}